package com.ruoyi.bst.account.service;

import java.util.List;

import com.ruoyi.bst.account.domain.Account;
import com.ruoyi.bst.account.domain.AccountQuery;
import com.ruoyi.bst.account.domain.AccountVO;

/**
 * 收款账户Service接口
 *
 * @author ruoyi
 * @date 2025-04-07
 */
public interface AccountService
{
    /**
     * 查询收款账户
     *
     * @param id 收款账户主键
     * @return 收款账户
     */
    public AccountVO selectAccountById(Long id, boolean scope);

    default AccountVO selectAccountById(Long id) {
        return selectAccountById(id, false);
    }
 
    /**
     * 查询收款账户列表
     *
     * @param account 收款账户
     * @return 收款账户集合
     */
    public List<AccountVO> selectAccountList(AccountQuery account);

    /**
     * 新增收款账户
     *
     * @param account 收款账户
     * @return 结果
     */
    public int insertAccount(Account account);

    /**
     * 修改收款账户
     *
     * @param account 收款账户
     * @return 结果
     */
    public int updateAccount(Account account);

    /**
     * 逻辑删除收款账户
     *
     * @param ids 需要删除的收款账户主键集合
     * @return 结果
     */
    public int logicDel(List<Long> ids);

    /**
     * 查询收款账户列表
     *
     * @param ids 收款账户主键集合
     * @param scope 是否查询范围
     * @return 收款账户集合
     */
    public List<AccountVO> selectAccountListByIds(List<Long> ids, boolean scope);
}
